mods checked with upgrade server from 0.4.x to 5.x

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

mods checked with upgrade server from 0.4.x to 5.x

by Festus1965 » Mon Jan 28, 2019 12:56

faster: last updated 7.5.2019
* mods that run good until now after update from 0.4.x to 5.x

* mods work with complain after upgrade server from 0.4.x to 5.x

* mods failed after update server from 0.4.x to 5.x
** fast: is one: 3d_arm,or you need to take then 5.0.0 3d_armor version !

old post part ...
as just my daughter complain that even using Protection block and locked chest, chest was emptied by thief (bad mobile client) I need to think strong about this (next) step, in hope to get rid of mobile clients, even maybe loosing some clients cant upgrade ... but where ever i read here, no thread about this

Just in Mods I see an answer from ... that this app is for 5.0 and not running on 0.4.x - so woke up and searching ...

That is a bunch of issues:
    * can 0.4.x clients connect to 5.0 server (or can it be set to yes and no)
    * can this different (cheating) mobile clients connect to 5.0 (also depending on version check)
    * what happen to all the used mods now under 0.4 server when just take same mod and world, starting with server 5.0 ?
      (i will take a second machine, try out next days)
      * install ubuntu 18.04 bionic MTserver failed via ppa daily builds
      * read there is a 5.0.0-dev ... don't find it, just 10 pages of never ending discuss 0.5 or 5.0, omg
    * can your 5.0 MTclient log into 0.4.x MTservers
      * minetest.net daily builds tested 29.01.
        * ubuntu = nein
        * win-64 = nein
      * org builds
        * minetest-5.0.0-dev-6f9bf4b win-64 = yes (via ubuntu 16.04 + wine)
        * minetest-5.0.0-dev-6f9bf4b win-32 = yes (via ubuntu 16.04 + wine)
        * minetest-5.0.0-fm (linux) = yes (on my 16.04 Ubuntu)


guess need to read:
* on the way (done)
* dev.minetest.net
Last edited by Festus1965 on Tue Mar 12, 2019 12:15, edited 9 times in total.
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

IhrFussel
Member
 
Posts: 67
Joined: Tue Nov 22, 2016 12:54
GitHub: IhrFussel
IRC: IhrFussel
In-game: IhrFussel

Re: what to check upgrade server (or client) from 0.4.x to 5

by IhrFussel » Mon Jan 28, 2019 16:07

If a client can access a protected/restricted chest then this is most likely a mod code issue.

Your inventory mods (or any mods that are able to access/modify inventories) don't correctly check privs/conditions on every action players do.

Try updating your mods or file bugs for them if it keeps happening.

Also MT 5.0.0 will not be compatible with any 0.4.X versions because 5.0.0 is just too different. There is also no simple switch to enable 0.4.X clients.

Don't always blame the 'malicious mobile players' and start checking your server code rather.
 

Shara
Moderator
 
Posts: 179
Joined: Sat Aug 20, 2016 15:18
GitHub: ezhh
IRC: Shara

Re: what to check upgrade server (or client) from 0.4.x to 5

by Shara » Mon Jan 28, 2019 16:13

Just to add - anything a mobile app could do, could potentially be done by a desktop user as well. If you "beat" this one user by blocking all mobile players, you will hurt a lot of innocent players, and then tomorrow a desktop player may come along and do the same thing.

The correct approach is to fix your mods, as has been said above.
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

Re: what to check upgrade server (or client) from 0.4.x to 5

by Festus1965 » Mon Jan 28, 2019 16:21

As anywhere i cant migrate this server from 0.4.x to 5.0 - it will be gone for sure,
so no need anymore to repair the available old, not upgraded and sure not usable mods anymore.

MT is mainly gone from today.
That announcement I just posted on my server threads (German and English) minutes before.

No upgrades anymore, just wait until no-one comes anymore and finish then.

Thanks for your advise, but that mean - if I change side and program own software that make me able to cheat into 5.0, you still will blame the mod programmers ... wow.

My daughter was quite upset today about, and I am willing to agree to finish server and play other games, with gives me back much time and more fun, and easy change to next, if problems.
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

Shara
Moderator
 
Posts: 179
Joined: Sat Aug 20, 2016 15:18
GitHub: ezhh
IRC: Shara

Re: what to check upgrade server (or client) from 0.4.x to 5

by Shara » Mon Jan 28, 2019 16:29

You will shut down a popular server because you don't want to update and fix your mods? I should say "just wow" to you.

I am not telling you it is the mods just to randomly blame someone. I am telling you this out of actual experience with similar issues on my own servers. There are likely several people here who would be willing to help you try and fix this.
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

Re: what to check upgrade server (or client) from 0.4.x to 5

by Festus1965 » Mon Jan 28, 2019 16:52

Shara wrote:You will shut down a popular server because you don't want to update and fix your mods? I should say "just wow" to you.


shutdown ? - when there is no-one coming anymore as all clients cant access 0.4 ... where is the problem ?

my mods ? - if I am right, I didn't write any of them - and if mods I use are only used by my server, forget it. There are sure more important and better things to do. As also I remember of my programming time, better delete a program and restart new, as try to repair old one.

And the main problem of this clone mobile apps is:
    * they make money with there apps, playing on our payed and maintained servers !
    * and that there apps are able to do things on our servers, that the main own client cant do,
... and we (minetest) don't do anything against mainly ?

very sad
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

Shara
Moderator
 
Posts: 179
Joined: Sat Aug 20, 2016 15:18
GitHub: ezhh
IRC: Shara

Re: what to check upgrade server (or client) from 0.4.x to 5

by Shara » Mon Jan 28, 2019 17:10

shutdown ? - when there is no-one coming anymore as all clients cant access 0.4


The clients are available and they can access it...

my mods ? - if I am right, I didn't write any of them - and if mods I use are only used by my server, forget it. There are sure more important and better things to do. As also I remember of my programming time, better delete a program and restart new, as try to repair old one.


Public servers are a big and important part of MT. Mods get updated and changed as needed. If any of yours need updating, you are very likely to get help.

Are there specific mods you are worried about?

* they make money with there apps, playing on our payed and maintained servers !


I don't like this either. Open source is a good thing that let's people work together on code freely... but it can also result in people taking advantage of our hard work. Encourage people to use the official MT client whenever possible (the only platform where this can't be done is Apple mobile devices).

* and that there apps are able to do things on our servers, that the main own client cant do,


Anyone who can write code can change the client before connecting to a server. This isn't only for mobile clients. However, the things they can do are limited - mostly to movement, because movement is controlled by the client. (This is because the server resources needed for server-side movement are too large.)

To give you an example, I can make a client that will let me fly, even if you do not give me the fly priv. However, I cannot make a client that will let me steal from a locked chest unless the mods have a security problem. The difference is that the client controls player movement, but the server controls the items in the chest. This is why we suggest you to update your mods. Whenever someone finds a problem like this, most mods get updated to make it impossible.
 

User avatar
Linuxdirk
Member
 
Posts: 2212
Joined: Wed Sep 17, 2014 11:21
Location: Germany
In-game: Linuxdirk

Re: what to check upgrade server (or client) from 0.4.x to 5

by Linuxdirk » Mon Jan 28, 2019 17:12

Festus1965 wrote:shutdown ? - when there is no-one coming anymore as all clients cant access 0.4 ... where is the problem ?

Maybe get the dev clientserver and simply try out if it works and what breaks in a copy of the server world. Most of the larger mods will work with 5.0.0 and a lot of mods won't even be affected by the breaking changes I guess.

And yes, there is an incompatibility between 0.4.x and 5.0.0 due to protocol changes. This is quite similar to your "better delete a program and restart new, as try to repair old one".

Festus1965 wrote:... and we (minetest) don't do anything against [3rd-party clients] mainly ?

No, we can't. MT is open source and thus 3rd-parties can modify the client as they want and release it under a new name.

Clients are always out of reach and have to be seen as compromised by default. Feedback from clients has to be seen as lies. Actions sent to clients have to be seen as suggestions. There is absolutely no reliable way in controlling the client and nothing the client sends to the server should be seen as reliable. Clients are enemy territory.

The only thing that can be done is making the server more authoritative and the client dumber. In an ideal world EVERYTHING is handled by the server and the client only predicts and displays (reacts).
 

User avatar
rubenwardy
Moderator
 
Posts: 5883
Joined: Tue Jun 12, 2012 18:11
Location: United Kingdom
GitHub: rubenwardy
IRC: rubenwardy
In-game: rubenwardy

Re: what to check upgrade server (or client) from 0.4.x to 5

by rubenwardy » Mon Jan 28, 2019 17:15

I can verify that everything Shara and LinuxDirk said are correct.

Modified clients can only change things they have control of, which includes their own movement.
They can NOT access locked chests and stuff like that, because they are server-controlled, unless there are bugs in mods
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

Re: what to check upgrade server (or client) from 0.4.x to 5

by Festus1965 » Mon Jan 28, 2019 17:21

sure I ban them, even I am so friendly to tell them why
like just happened (tuti and tutipapa from Peru) joined fresh in, and had already diamond armor !!! IP-banned

ok, so far

where i get a ubuntu 5.0-dev (linux/ubuntu) - i don't use windows and wont like to use wine ...
might be able to learn to "make"

ok, that is the part I wanted to start here:
Indicators, that show NOT Minetest client on work

I have seen often in/on the server window actions (ubuntu,. start with shell) that clients try to access nodes from more far that the server allows, and hope deny it.

So as the server owner, I need, have to be able to kick every client, that want to over-go my rules, and if just standard server set ...
and therefore i started that thead/post - to find solutions of what we can see they do - and take back control of our server - mean, kick them ! so easy
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
rubenwardy
Moderator
 
Posts: 5883
Joined: Tue Jun 12, 2012 18:11
Location: United Kingdom
GitHub: rubenwardy
IRC: rubenwardy
In-game: rubenwardy

Re: what to check upgrade server (or client) from 0.4.x to 5

by rubenwardy » Mon Jan 28, 2019 17:40

Here's a list of mods:

Code: Select all
travelnet
time
teaching
stop_lj_oom
sightview
player_notes
nonew
no_guests
minetest_remover
mapfix
lamps
lagcheck
euban
edutest_chatcommands
bows
areas
markers
adv_spawning
adblock
worldedit
worldedit_commands
plantlife_i18n
junglegrass
moremesecons_utils
homedecor_i18n
rawland
hec_nodemani
death_messages
sethome
screwdriver
killme
dye
default
wiki
towercrane
torches
televator
srvstuff
spawn_command
smartshop
signs_lib
moreores
more_chests
mobs
mobs_monster
mobs_animal
mr_goat
localisation
exchange
digilines
nixie_tubes
digiline_remote
crafting
biome_lib
youngtrees
poisonivy
molehills
ferns
bushes
basic_robot
balloon
alphabet
technic_worldgen
concrete
cavestuff
xtraores
mesecons
moremesecons_wireless
moremesecons_timegate
moremesecons_teleporter
moremesecons_switchtorch
moremesecons_signalchanger
moremesecons_mesechest
moremesecons_luacontroller_tool
moremesecons_luablock
moremesecons_jammer
moremesecons_injector_controller
moremesecons_entity_detector
moremesecons_dual_delayer
moremesecons_conductor_signalchanger
moremesecons_commandblock
moremesecons_adjustable_player_detector
moremesecons_adjustable_blinkyplant
mesecons_wires
mesecons_torch
moremesecons_induction_transmitter
mesecons_switch
mesecons_receiver
mesecons_walllever
mesecons_button
mesecons_random
mesecons_pressureplates
mesecons_powerplant
mesecons_noteblock
moremesecons_sayer
mesecons_mvps
protector
pipeworks
locks
arrow_signs
technic_chests
mesecons_stickyblocks
mesecons_pistons
mesecons_microcontroller
mesecons_materials
moremesecons_playerkiller
mesecons_solarpanel
mesecons_movestones
mesecons_detector
mesecons_luacontroller
mesecons_lightstone
mesecons_lamp
mesecons_insulated
mesecons_hydroturbine
mesecons_fpga
mesecons_extrawires
mesecons_delayer
mesecons_gates
mesecons_blinkyplant
mesecons_alias
animalmaterials
cooking
trash_can
spectator_mode
hec_vicount
hec_nopvp
hec_nether
hec_diamaster
hec_honeypot
xpanes
wool
soccer
beds
walls
vessels
sfinv
minetest_edutest_ui
creative
give_initial_stuff
flowers
fire
moremesecons_igniter
tnt
farming
unified_inventory
u_skins
mail
edutest
flowers_plus
dryplants
bushes_classic
hec_treasuries
stairs
moreblocks
nether
moretrees
treecapitator
trunks
woodsoils
nature_classic
bakedclay
3d_armor
xtraores_armor
hud
technic_armor
shields
hec_obsidian_stuff
3d_armor_ui
3d_armor_stand
3d_armor_sfinv
doors
mesecons_doors
carts
bucket
xdecor
inventorybags
enchanting
technic
digtron
bauxite
aluminum
wrench
bitchange
mining_plus
special
extranodes
hazmat_suit
hunger
bones
boats
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

Re: what to check upgrade server (or client) from 0.4.x to 5

by Festus1965 » Mon Jan 28, 2019 17:56

i wanna get back to post topic:

what to check upgrade server (or client) from 0.4.x to 5.x

and see if i am able to test that world including all mods etc. with ubuntu/linux mts 5.0(-dev)

so find out myself,
detect problems and post them ...
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
TalkLounge
Member
 
Posts: 305
Joined: Sun Mar 26, 2017 12:42
Location: Germany
GitHub: TalkLounge
In-game: TalkLounge

Re: what to check upgrade server (or client) from 0.4.x to 5

by TalkLounge » Mon Jan 28, 2019 18:05

Just to add - anything a mobile app could do, could potentially done by a desktop user as well

Yes, but thats a difference. There are already hacked clients in the google play store. People download them, without knowing, that these clients have hacks. And most of the server owners support clients which have ads and may hacks, too. You can't tell me, that you cant program something in the server engine, that blocks mobile clients with ads & hacks. Open Source isn't a problem. That isn't an argument. VeraCrypt is also open source as an example. The only reason is, that the devs support these fake games. See here, here or here. Why? Should that be a troll?

It's funny too, that rubenwardy develops a content db, instead of adding lua multithreading into the core. A few days ago i tried to import the minetest source in codelite(ide) but i gave up after a few hours. I wanted to add multithreading by myself. Because the devs don't want that either. The devs should develop something useful. Lua isn't there to fix bugs like formspec security, formspec system in generell etc. I don't understand why I have to fix the bugs in lua. Thats the task of the developers. I know they do that all without money, but...

If this continues i will leave minetest and switch to hytale.
Subgames Server: Sky World Subgames German Survival Server: Wildes Land 2 E-Mail: talklounge@yahoo.de
 

User avatar
rubenwardy
Moderator
 
Posts: 5883
Joined: Tue Jun 12, 2012 18:11
Location: United Kingdom
GitHub: rubenwardy
IRC: rubenwardy
In-game: rubenwardy

Re: what to check upgrade server (or client) from 0.4.x to 5

by rubenwardy » Mon Jan 28, 2019 18:44

ContentDB was developed as a university coursework project, and is a ton more useful to actual end users than multi-threading. I would like to have multithreading support, but other things are higher on my priority list.

MultiCraft has paid developers to work on features that they want, and they have also contributed back to the engine. A good commercial-developer relationship is vital to the health of an open source project. MultiCraft has adverts, but does not give privileges or hacks to players. MultiCraft is the only commercial fork that actually gives back to the project, so they really shouldn't be used as an example of a bad fork. Developers are unpaid, and do Minetest as a hobby project. Is it not good for them to make money on their hobby in a way which may, and has, ended up filtering back anyway?

Note: I've never received money from the MultiCraft developers

The fact is that a lot of people run third-party builds of Minetest - their own. Any way to try and detect advert showing apps can be subverted by the app developer simply by them causing the code to lie. The way to fix apps giving hacks like fly/fast/noclip is by implementing server-side authoritative techniques, which is complicated to do correctly. Any such checks would restrict legit users more than malicious users. It is worth noting that there are already hacked clients available for the desktop which can easily be found online, anyway

If you're tempted to switch to Hytale, then I question why you're here in the first place. Minetest is about freedom and remixing, you won't get that freedom in Hytale
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

mods that run good until now after update from 0.4.x to 5.x

by Festus1965 » Fri Feb 01, 2019 12:55

mods that run good until now,
alphabetical order - 74 mods yet

This are all the Mods most I use on my Server 5.1.0-dev-... and report about if they run or not !

the list will be updated on two priorities :
* most used mods
** at least 1375 mods listed
** top mod was used on 78 servers: default
** and most in the top are build in: default, doors, flowers, vessels, farming, stairs, wool, ...
** place 722-1375 just one server used (= 653 single time = i will not check them)
** place 522-721 = 198 mods just used on 2 servers,
** place 431-521 = 90 mods on 3 servers, still to less to check them
** so up to top 100 I guess it might make sense to check them even I don't use them

* most important as of lag, cpu usage, optimize Lua/LuaJit - to get mods updated and better coded

and remember: running on 5.0.0 or 5.0.1 or 5.1.0-dev means not really running on the other version 5.x.x-? at all!

[Mod] 3d_armor - loaded --> need 3d armor 5.0.0 version but this one misses folders hazmat and technic_armor !!!
... new: [Mod] 3d_armor (06.03.2019) - loaded, works (Place 31 used, 46 times)
[Mod] 3d_armor hazmat_suit - loaded (folder missed at 3d_armor 5.0.0 version)
[Mod] 3d_armor shields - loaded (new 5.0.0 version)
... new: [Mod] 3d_armor / shields (06.03.2019) - loaded, works
[Mod] 3d_armor / armor_stand - loaded (new with 5.0.0 version)
... new: [Mod] 3d_armor / armor_stand (06.03.2019) - loaded, works
... [3d_armor] Fire Nodes disabled

[Mod] adv_spawning - loaded
[Mod] alphabeth - loaded
[Mod] animalmaterials - loaded
[Mod] animalmaterials / cooking - loaded
[Mod] areas - loaded
[Mod] arrow_signs 4.3 - loaded
[Mod] ArtDeco [1.1] [artdeco] - reported, works on 5.0.0

[Mod] Baked Clay - loaded
... new: [Mod] Baked Clay (67d0f2a8d6 02.07.2018) - loaded, works
[Mod] balloon - loaded
[Mod] basic_robot - loaded
[Mod] bed (yes) (Place 12 used, 68 times)
[Mod] Biome Lib - Loaded (OOM issues) - new next (29899f2 on 08.01.2019)
[Mod] bitchange - loaded
[Mod] boats (yes) (Place 15 used, 65 times)
[Mod] bones (yes) (Place 22 used, 56 times)
[Mod] bows - loaded
[Mod] bucket (yes) (Place 10 used, 72 times)

[Mod] Cave Stuff [0.0.3] [cavestuff] Loaded...
[Mod] chains (???) (Place 68 used, 41 times)
[Mod] computer (???) (Place 45 used, 43 times)
[Mod] creative (yes) (Place 11 used, 71times)
[Mod] crafting - loaded!
[Mod] Crafting Guide [1.5] [craftguide] - has 0.4.x and 5.0.0 version, so change if server upgraded - loaded, works
...new: [Mod] craftguide (04.03.2019) 5.0.x - loaded works

[Mod] Death Messages [0.1.2] - loaded...
[Mod] default (yes) (Place 1 used, 78 times)
[Mod] digilines (434010b on 20.10.2017) - loaded!
[Mod] digiline_remote - loaded!
[Mod] digtron - loaded!
... new: [Mod] digtron (e09f1b9 on 14.01.2019) - loaded, works
[Mod] doors (yes) (Place 2 used, 76 times)
[Mod] dryplants / Grasses [0.1.5] - Loaded...
[Mod] dye (yes) (Place 7 used, 73 times)

[Mod] enchanting - loaded
[Mod] euban - loaded : by TalkLounge
[Mod] exchange - loaded
[Mod] extraores / xtraores- loaded!
[Mod] extraores / armor - loaded

[Mod] fake_fire (???) (Place 45 used, 43 times)
[Mod] farming 1.25 - loaded (yes, has conflict at loading) new 1.40 v (Place 5 used, 74 times)
... new: [Mod] farming 1.40 - loaded, works
[Mod] Ferns Checking horsetail item strings
[Mod] Ferns Checking lady fern item strings
[Mod] Ferns Checking tree fern item strings
[Mod] Ferns [0.2.1] [ferns] Loaded...
[Mod] fire (OOM issues) (Place 13 used, 67 times)
[Mod] flowerpot (6bce72a on 03.10.2017) - not used
[Mod] Flowers - loaded. (Place 3 used, 75 times)

[Mod] hec_diamaster - loaded : by Hectic
[Mod] hec_honeypot - loaded : by Hectic
[Mod] hec_nodemani - loaded : by Hectic
[Mod] hec_nether - loaded : by Hectic
[Mod] hec_nopvp - loaded : by Hectic
[Mod] hec_vicount - loaded : by Hectic
[Mod] hec_treasuries - loaded : by Hectic
[Mod] hec_obsidian_stuff - loaded : by Hectic

[Mod] homedecor (modpack) (01.01.2019) - only some
[Mod] homedecor_i18 - loaded (Place 31 used, 46 times)
[Mod] hud_hunger hud - loaded
[Mod] hud_hunger hunger - loaded
[Mod] hunger (V 1.1.3 a380dac on Oct 18, 2015) old, works, but see for other than

[Mod] inbox (???) (Place 37 used, 44 times)
[Mod] inventorybags - loaded!
[Mod] irfurn (???) (Place 37 used, 44 times)
[Mod] inventorybags - loaded!
[Mod] itemframes (???) (Place 31 used, 46 times)

[Mod] lagcheck - loaded : by TalkLounge
[Mod] lamps - loaded
[Mod] localisation - loaded
[Mod] locks: loading locks:shared_locked_chest
[Mod] locks: loading locks:shared_locked_sign_wall
[Mod] locks: loading locks:door
[Mod] locks: loading locks:shared_locked_furnace
[Mod] locks - loaded

[Mod] mail - loaded (planed to update to new)
... new: [Mod] mail (04.07.2019) - loaded, works
[Mod] mapfix - loaded
[Mod] markers - loaded
[Mod] mesecons / mesecons - loaded (Place 35 used, 45 times)
[Mod] Mesecons main - loaded -
...new: [Mod] Mesecons main (737f366 30.12.2018) - loaded, works
[Mod] mesecons receiver - loaded
[Mod] mesecons random - loaded
[Mod] mesecons_alias (incl. mesecons, runs) (Place 57 used, 42 times) -
[Mod] mesecons_commandblock (incl. mesecons, runs) (Place 77 used, 37 times)
[Mod] mesecons_blinkyplant (incl. mesecons, runs) (Place 57 used, 42 times)
[Mod] mesecons_button (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_delayer (incl. mesecons, runs) (Place 57 used, 42 times)
[Mod] mesecons_detector (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_doors (incl. mesecons, runs) (Place 72 used, 39 times)
[Mod] mesecons_extrawires (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_gates (incl. mesecons, runs) (Place 70 used, 40 times)
[Mod] mesecons_hydroturbine (incl. mesecons, runs) (Place 72 used, 39 times)
[Mod] mesecons_insulated (incl. mesecons, runs) (Place 37 used, 44 times)
[Mod] mesecons_lamp (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_lightstone (incl. mesecons, runs) (Place 37 used, 44 times)
[Mod] mesecons_luacontroller (incl. mesecons, runs) (Place 65 used, 41 times)
[Mod] mesecons_materials (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_microcontroller (incl. mesecons, runs) (Place 65 used, 41 times)
[Mod] mesecons_movestones (incl. mesecons, runs) (Place 72 used, 39 times)
[Mod] mesecons_mvps (incl. mesecons, runs) (Place 37 used, 44 times)
[Mod] mesecons_noteblock (incl. mesecons, runs) (Place 65 used, 41 times)
[Mod] mesecons_pistons (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_powerplant (incl. mesecons, runs) (Place 39 used, 42 times)
[Mod] mesecons_pressureplates (incl. mesecons, runs) (Place 37 used, 44 times)
[Mod] mesecons_random (incl. mesecons, runs) (Place 39 used, 42 times)
[Mod] mesecons_receiver (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_solarpanel (incl. mesecons, runs) (Place 57 used, 42 times)
[Mod] mesecons_stickyblocks (incl. mesecons, runs) (Place 72 used, 39 times)
[Mod] mesecons_switch (incl. mesecons, runs) (Place 37 used, 44 times)
[Mod] mesecons_torch (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mesecons_walllever (incl. mesecons, runs) (Place 45 used, 43 times)
[Mod] mining plus - loaded
[Mod] Mobs_Redo (1.37) (24.06.2017) 4.0.x - loaded - new: new 1.49
... new: [Mod] Mobs_Redo 1.49 (24.01.2019) - loaded, works
[Mod] Mobs Redo 'Monsters' (23.07.2016) - loaded - new: 01.03.2019
... new: [Mod] Mobs Redo 'Monsters' (01.03.2019) - loaded, works
[Mod] Mobs Redo 'Animals' (07.02.2018) - loaded - hmm: 01.11.2018
... new: [Mod] Mobs Redo 'Animals' (01.11.2018) - loaded, works

[Mod] morechests (02.09.2017) - loaded!
[Mod] moremesecons () - loaded - new ? there, need to update (2b2faec on Aug 20, 2018)
[Mod] moreblocks - loaded - has new 9363068 09.03.2019
[Mod] moreores - loaded! - has new 19e060c 06.03.2019
[Mod] moretrees - loaded (2013-04-07) last
... new: [Mod] moretrees (11.05.2018) - loaded, works (Place 80 used, 32 times)
[Mod] mr_goat - loaded

[Mod] nether - loaded
[Mod] nixie-tubes - loaded -
... new: [Mod] nixie-tubes (a345d64 on Feb 5, 2017) - loaded, works
[Mod] no-guests - loaded

[Mod] Petz (petz) (v0.2) - seams to be 5.0.0 ready (I don't use)
[mod] plantlife - pack new from (9789d6d 18.03.2018) - need to check
[mod] plantlife - bushes - Loaded.
[mod] plantlife - bushes classic - Loaded
[mod] plantlife - junglegrass - Loaded.
[mod] plantlife - youngtrees - Loaded.
[mod] plantlife - Poison Ivy - Loaded.
[mod] plantlife - molehills - Loaded.
[mod] plantlife - trunks - Loaded.
[mod] plantlife - woodsoils - Loaded.
[mod] plantlife - nature classic - Loaded.
[Mod] plasmacreen (???) (Place 71 used, 40 times)
[Mod] player_notes - loaded!
[Mod] [Protector] pvp_protect is disabled
[Mod] Protector Redo - loaded
[Mod] Pipeworks - loaded (planed to update as of OOM crashes) (last 15.11.2018) mhh upgrade failed

[Mod] rawland - loaded : by Hectic

[Mod] sethome (yes) (Place 16 used, 65 times)
[Mod] screwdriver (yes) (Place 7 used, 73 times)
[Mod] sdecor - loaded!
[Mod] shields (???) (Place 57 used, 42 times)[Mod] srvstuff - loaded
[Mod] signs_lib (25.05.2018) - loaded (Place 31 used, 46 times)
[Mod] sightview - loaded : by TalkLounge
[Mod] smartshop - loaded!
[Mod] soccer - loaded
[Mod] special - loaded
[Mod] spectator (30.03.2017) - loaded
[Mod] spwan_command (1e07844 on Oct 9, 2017) - loaded, works
[Mod] Superflat Mapgen [1.3] [superflat] - reported works on 5.0.0
[Mod] stairs (yes) (Place 4 used, 74 times)

[Mod] teaching - loaded!
[Mod] technic aluminium / aluminium - loaded
[Mod] technic_armor - loaded (but update to 3d_armor 5.0.0 version, careful this folder missing there)
[Mod] technic / chests - loaded
[Mod] technic / concrete - loaded
[Mod] technic / extranodes - loaded
[Mod] technic / technic - loaded (planed to update as for OOM issue) (700faca 10.04.2019) = update at me failed again
[Mod] technic / worldgen - loaded (OOM issues)
[Mod] technic / wrench - loaded
[Mod] televator - loaded (deactivated) (also OOM issue)
[Mod] time - loaded!
[Mod] towercrane (22.07.2018) - loaded!
[Mod] torches - loaded
[Mod] trash_can (5fd3df7 on 15.01.2016) - loaded (neu 11.10.2018 ?)
[Mod] travelnet - loaded, works (Place 35 used, 44 times)
[Mod] treecapitator - loaded

[Mod] u_skins - loaded (Place 98 used, 22 times)
[Mod] unified_inventory - loaded (planed to update) (Place 27 used, 52 times) -
... new: [Mod] unified_inventory (850ee9c 19.02.2019) - loaded, works

[Mod] vessels (yes) (Place 4 used, 74 times)

[Mod] walls (yes) (Place 21 used, 58 times)
[Mod] wieldview (???) (Place 45 used, 43 times)
[Mod] wiki - loaded
[Mod] wool (yes) (Place 7 used, 73 times)
[Mod] worldedit (???) - new (f242f2f 09.12.2018) need to test - (Place 17 used, 64 times)
[Mod] worldedit_commands - loaded (Place 19 used, 64times)
[Mod] worldedit_gui (???) (Place 30 used, 48 times)
[Mod] worldview - loaded (deactivated OOM) (planed to update as of OOM crashes)

[Mod] xban2 (???) (Place 29 used, 50 times)
[Mod] xdecor (17.04.2018) loaded (not all used yet)
... new: [Mod] Version ee7a281 from 10.03.2019 - loaded
[Mod] xpanes (unknown) (Place 14 used, 66 times)
[Mod] Xtraores - last from c977f75 on May 13, 2018 ???

[Modpack] Dreambuilder [20190306-1717][dreambuilder], reported works on 5.0.0
Last edited by Festus1965 on Wed Mar 13, 2019 01:54, edited 87 times in total.
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

mods work with complain after upgrade server from 0.4.x to 5

by Festus1965 » Fri Feb 01, 2019 12:55

mods that run with complaints until now,
alphabetical order

[Mod] 3d_armor - loaded --> runs under 5.0.0, but gamer one node too deep !
need 3d armor 5.0.0 version but this one misses folders hazmat and technic_armor !!!

adv_spawning
Code: Select all
2019-03-07 09:21:09: WARNING[Main]: Undeclared global variable "adv_spawning" accessed at /home/thomas/.minetest/mods/adv_spawning/init.lua:13
Mod] adv_spawning - loaded
add ... before line 13, then no warning
Code: Select all
adv_spawning = nil


[Mod] animalmaterials - loaded
Code: Select all
2019-03-07 09:21:09: WARNING[Main]: Undeclared global variable "weapons_spacer" accessed at ...netest/mods/animalmaterials/animal_resources/weapons.lua:17
2019-03-07 09:21:09: WARNING[Main]: Undeclared global variable "element" accessed at ...netest/mods/animalmaterials/animal_resources/weapons.lua:469
add .. declare var... before lines , then no warning
Code: Select all
weapons_spacer = nil
element = nil


[Mod] Ferns [0.2.1] [ferns] Loaded...
Code: Select all
2019-03-07 09:21:09: WARNING[Main]: Not registering alias, item with same name is already defined: ferns:fern_03 -> default:fern_3
2019-03-07 09:21:09: WARNING[Main]: Not registering alias, item with same name is already defined: ferns:fern_02 -> default:fern_2
2019-03-07 09:21:09: WARNING[Main]: Not registering alias, item with same name is already defined: ferns:fern_01 -> default:fern_1

how to ? which one is the good one ? - but like this it is running at me

[Mod] moremesecons main - loaded
Code: Select all
2019-03-07 09:21:09: WARNING[Main]: [moremesecons_sayer] use_speech_dispatcher = true, but the speech dispatcher can only be used in singleplayer


worldedit
Code: Select all
2019-02-01 20:16:25: WARNING[Main]: Undeclared global variable "worldedit" accessed at ....minetest/mods/worldedit/worldedit/manipulations.lua:1
[Mod] worldedit - loaded


so if you have proofed other mods running under 5.0.0 and later, so please post them or send with pm...
Last edited by Festus1965 on Tue Mar 12, 2019 06:38, edited 14 times in total.
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

mods failed after update server from 0.4.x to 5.x

by Festus1965 » Fri Feb 01, 2019 12:56

mods that to run until now, (with report)
alphabetical order (i will specify then with souce, link, version, whatever, and code failed)
- 3d_armor you need to take then 5.0.0 3d_armor version !



Solved: this mods failed under 5.0.0-devs - but running now under 5.0.0-stable
- hud
- hunger
Last edited by Festus1965 on Tue Mar 12, 2019 12:16, edited 3 times in total.
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

Re: what to check upgrade server (or client) from 0.4.x to 5

by Festus1965 » Wed Mar 06, 2019 23:59

updated list of running but not 5.0.0 fixed mods
* hmm, too much, they are running ... we see
Last edited by Festus1965 on Thu Mar 07, 2019 13:07, edited 1 time in total.
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
rubenwardy
Moderator
 
Posts: 5883
Joined: Tue Jun 12, 2012 18:11
Location: United Kingdom
GitHub: rubenwardy
IRC: rubenwardy
In-game: rubenwardy

Re: what to check upgrade server (or client) from 0.4.x to 5

by rubenwardy » Thu Mar 07, 2019 13:04

Festus1965 wrote:updated list of running but not 5.0.0 fixed mods
* 3d-armor


3d armor supports 5.0.0 since the latest commit https://github.com/stujones11/minetest- ... ion-0.4.13
 

User avatar
sorcerykid
Member
 
Posts: 1061
Joined: Fri Aug 26, 2016 15:36
Location: Illinois, USA
GitHub: sorcerykid
In-game: Nemo

Re: what to check upgrade server (or client) from 0.4.x to 5

by sorcerykid » Thu Mar 07, 2019 15:44

rubenwardy wrote:Modified clients can only change things they have control of, which includes their own movement. They can NOT access locked chests and stuff like that, because they are server-controlled, unless there are bugs in mods


In fairness, that is only partly true :P Modified clients can access locked chests since node inventories are sent to all clients. However, clients can't perform inventory actions on the locked chests (assuming the correct callbacks are defined). I suspect a lot of players are under the impression that locked chests are truly private storage, even though there is no inherent security of that level built into the map architecture.

On a sidenote, why are there multiple topics about mods that work/don't work with 5.0? Most should work. And if something doesn't, then it would be more helpful to submit an issue/ticket so the author can know about it ;)
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

Re: what to check upgrade server (or client) from 0.4.x to 5

by Festus1965 » Thu Mar 07, 2019 21:36

sorcerykid wrote:On a sidenote, why are there multiple topics about mods that work/don't work with 5.0? Most should work. And if something doesn't, then it would be more helpful to submit an issue/ticket so the author can know about it ;)


Because most people don't search in the forum to see if already exist !

Second, It is easier to see a long list about work, not work, then to go all this mods tick by tick, and looking if there is an issue. I told long time ago, would be nice if mods get tag like 5.0.0 proofed etc. but nothing happened, but as this not happened, people ask ... and I just fix them all together as I have time and tested a lot.

But then even I am in doubt if I did a mistake or the mod is failure, as I yesterday was not able to upgrade two mods on my server, as a lot of others worked ..., an issues about what I don't know yet, nice ... but maybe wrong, fist I test 2 other times to update technic and the other, than I think I proofed that it might be not my mistake, but also could be as I use latest 5.1.0-dev ... not 5.0.0 so difficult.
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
sorcerykid
Member
 
Posts: 1061
Joined: Fri Aug 26, 2016 15:36
Location: Illinois, USA
GitHub: sorcerykid
In-game: Nemo

Re: mods checked with upgrade server from 0.4.x to 5.x

by sorcerykid » Thu Mar 07, 2019 22:50

The vast majority of mods that worked in Minetest 0.4.16+ should be compatible with Minetest 5.0. And those that aren't, can only be fixed if the mod authors know about the problem.

Moreover, you've only listed mods that are installed on your server. That means your testing sample is biased and limited, since your server is not a representative sample of all Minetest servers.

There is also no proven correlation between cheating and mobile apps. I'm personally annoyed by this stereotype. My server has always catered to phone and tablet users. I place no restrictions on who can join. And cheating ever been a serious enough problem that it requires blocking mobile apps.
 

User avatar
Festus1965
Member
 
Posts: 969
Joined: Sun Jan 03, 2016 11:58
Location: Thailand - Chiang Mai (+5-6h to MEZ)
In-game: Thomas Explorer

Re: mods checked with upgrade server from 0.4.x to 5.x

by Festus1965 » Thu Mar 07, 2019 23:02

sorcerykid wrote:The vast majority of mods that worked in Minetest 0.4.16+ should be compatible with Minetest 5.0. And those that aren't, can only be fixed if the mod authors know about the problem.


How can I proof, that it is a problem of the mod, and not my mistake ? And then when I am sure, I might start an issue ...

sorcerykid wrote:Moreover, you've only listed mods that are installed on your server. That means your testing sample is biased and limited, since your server is not a representative sample of all Minetest servers.


Yes, but I did something, starting, and even adding other results also,
can you show me any other "list" server owners can look at ?
The bigger problem is also, that not with 5.0.0 some functions will get deprecated, but later, problem come again similar, so hope mod coders will look that now also, not later again new issues, that have been known already.
And realizing that yesterday also, I remember the list of most used mods from 2016 and want to check the other mods in that order, to make also sure most of my list, is also most helping others.
What did you yet about this thread ?

edit: amusing: my server - in "my" list are 74 listed now
* 2 out of yet 44 top rank of most used mods list not included yet ... I think that is not only a private list anymore ...
* worldedit I can check later,
* xban2 store full IPs ?, maybe better not, or I have to complain within the European court against IP storage)
will be continued ...

sorcerykid wrote:It's also worth noting that there is no proven correlation between cheating and mobile clients. I'm personally getting very frustrated with this ridiculous stereotype. My server has always catered to mobile clients. I place no restrictions on who can join. Still, I rarely ever have problems with cheaters and hackers.


This is at another Thread, but to make it clear ! mobile minetest users are not my problem,
* and your lucky if you have no problem with cheaters and hackers, I see a lot of threads and saw also the reaction of the victims,
* but as most of the mobile clients are clones, with no any other reason another name ??? but most proofed using possibilities they are not welcome at my server or others (like large distance action, automatic sort of chests even protected), this apps ARE a violation of my rules !
* and as we spent a lot of time in server admin, I really cant understand that we accept that some of them earn money on our machines, only if some people of here are hidden payed by them ... may be ... a flash idea i had since some time, when i see how low is the power to stop the clones ... do they have own servers or are they using ours ?

When I see that clear like in ContentDB to realize tags 5.0.0 proofed, I can stop this here ... but it is proofed that people ask for compatible answers, and so ... what ? I am not the owner, programmer or the admin or mod to make this, I am just a server admin does it ... so shame on whom ?
Server: still up, see some gamer - but there is a new 1st important thread "climate change" for me. Something I know since 1992 - had seen the melting glacier in Switzerland.
 

User avatar
paramat
Developer
 
Posts: 3471
Joined: Sun Oct 28, 2012 00:05
Location: UK
GitHub: paramat
IRC: paramat

Re: mods checked with upgrade server from 0.4.x to 5.x

by paramat » Sun Mar 10, 2019 08:48

> You can't tell me, that you cant program something in the server engine, that blocks mobile clients with ads & hacks.

We can because it's true, a hacked client can fake it's identity.

> Open Source isn't a problem. That isn't an argument.

Open Source is why, that's the reason.

> It's funny too, that rubenwardy develops a content db, instead of adding lua multithreading into the core.

We don't do what you want.

> Because the devs don't want that either.

We want it, but it's very difficult, maybe impossible to do.

> If this continues i will leave minetest and switch to hytale.

Ok bye, it will continue.
 

User avatar
DS-minetest
Member
 
Posts: 1117
Joined: Thu Jun 19, 2014 19:49
Location: I'm scared that if this is too exact, I will be unable to use my keyboard.
GitHub: DS-Minetest
In-game: DS

Re: mods work with complain after upgrade server from 0.4.x

by DS-minetest » Mon Mar 11, 2019 18:43

Festus1965 wrote:[Mod] Mesecons main - loaded
Code: Select all
2019-03-07 09:21:09: WARNING[Main]: [moremesecons_sayer] use_speech_dispatcher = true, but the speech dispatcher can only be used in singleplayer


This is moremesecons, not mesecons. And the message is intentional. It says that a setting is not disabled that should be disabled on servers.
Do not call me -minetest.
Call me DS or DS-minetest.
I am German, so you don't have to pm me English if you are also German.
The background is a lie.
 

Next

Return to Problems



Who is online

Users browsing this forum: No registered users and 2 guests